﻿-- vim: expandtab tabstop=4 shiftwidth=4 softtabstop=4 autoindent:
-- kate: space-indent on; indent-width 4; mixedindent off;

init = {}

function init.load()

    -- a game key
    game_keyquit = "escape"

    -- Window (we expect the window's size not to change)
    love.window.setMode(1280, 1024, {resizable=false, vsync=true, minwidth=400, minheight=300})
    maxWidth = love.graphics.getWidth( )
    maxHeight = love.graphics.getHeight( )
    
    -- Rendering
    love.graphics.setBlendMode("screen")

    -- Canvas
    canvas = love.graphics.newCanvas(maxWidth, maxHeight)
    love.graphics.setCanvas(canvas)
    --canvas:clear()

    -- Some colors
    text_color = {250, 250, 250, 255}
    bg_color = {10, 10, 29, 255}
    border_color = {15, 15, 255, 255}



    -- setting up collision array 
    collisionArray = {}
    for dummyX = 1,maxWidth do 
        collisionArray[dummyX] = {} 
        for dummyY = 1,maxHeight do 
            collisionArray[dummyX][dummyY] = 0
        end 
    end 

end
	 
